Subject: bug#44725: closed (Re: bug#44725: ocaml-cairo2 package fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Nov 2020 19:29:01 +0000

Your bug report

#44725: ocaml-cairo2 package fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44725: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44725
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44725: ocaml-cairo2 package fails to build
From: Brett Gilio <[email-masked]>
To: zimoun <[email-masked]>
Cc: Evan Straw <[email-masked]>, [email-masked]
Date: Thu, 19 Nov 2020 13:28:07 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Brett Gilio <[email-masked]> writes:

> zimoun <[email-masked]> writes:
>
>> Hi,
>>
>> On Wed, 18 Nov 2020 at 15:53, Brett Gilio <[email-masked]> wrote:
>>
>>> This is a test-phase issue. It looks like it might be a segmentation
>>> fault from a C dependency (maybe Cairo itself)? I or somebody will look
>>> a little deeper. In the meantime I am going to disable the test-phase
>>> and mark this issue as open.
>
>
> I did some investigating, and it seems disabling the tests is the
> correct action to take.
>
> See:
>
> [0]
> https://github.com/kit-ty-kate/opam-repository/commit/4db9f97d242fbfd3b3100128797a4f941f66a32d
>
> [1] https://github.com/ocaml/ocaml/issues/9360

-- 
Brett M. Gilio
[email-masked]
https://brettgilio.com/
GNU Project webmaster [https://gnu.org/help/]
E82A C026 95D6 FF02 43CA 1E5C F6C5 2DD1 BA27 CB87

Subject: ocaml-cairo2 package fails to build
From: Evan Straw <[email-masked]>
To: [email-masked]
Date: Wed, 18 Nov 2020 10:32:20 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix maintainers,

While updating Coq recently I found that the ocaml-cairo2 package it
depends on does not build. It seems to be failing with an error during
the check phase while calling `dune runtest tests`. The build log is
very long so I've attached it as a file.

I am using Guix on a foreign distro, Ubuntu 20.04 LTS, and my CPU
architecture is x86_64.

Output of `guix describe` is as follows:
--8<---------------cut here---------------start------------->8---
Generation 16	Nov 18 2020 10:26:11	(current)
  guix eca38ad
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: eca38ada61356c8a6dbd677575a09a573aca95eb
  personal bd255b1
    repository URL: https://git.sr.ht/~estraw/guix-channel
    branch: master
    commit: bd255b10b22e612971bd8daf9c2ab3d3014a0b7c
--8<---------------cut here---------------end--------------->8---

If any required information is missing please let me know and I'll do my
best to provide it.

Thanks,
-- Evan Straw <[email-masked]>